[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'GraphType' (#lcl)

# TRawImageLineEnd

The alignment of raw image scanlines.

## Declaration

Source position: graphtype.pp line 84

`type TRawImageLineEnd = (`
`rileTight,` |  | Scanlines can begin inside a byte.
`rileByteBoundary,` |  | Scanlines start at a byte boundary.
`rileWordBoundary,` |  | Scanlines start at a 16 bit boundary.
`rileDWordBoundary,` |  | Scanlines start at a 32 bit (DWORD) boundary.
`rileQWordBoundary,` |  | Scanlines start at a 64 bit (QWORD) boundary.
`rileDQWordBoundary` |  | Scanlines start at a 128 bit boundary.
`);`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.